library(largeVis)
library(ggplot2)

eval7 <- read.csv2("c:/Users/P24581/Desktop/evaluations_2018-04-11_12-50_TreeSize-7.csv",header = TRUE, sep = ";", dec=",")
eval7_qs <- eval7[,3]
eval7_x <- eval7[,5:105]
lv <- largeVis(eval7_x, dim=2, K = 50, n_trees = 50) # TODO scale?
clusters <- hdbscan(lv, minPts = 3, K=30)

m <- data.frame(x=t(lv$coords)[,1], y=t(lv$coords)[,2], c=clusters$clusters, q=eval7_qs)


ggplot(data=m, aes(x=x, y=y)) + geom_point(aes(color=q)) 
